Bug 1251070 - Fix multiple programming errors in iproute package
Summary: Fix multiple programming errors in iproute package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: iproute
Version: 7.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Phil Sutter
QA Contact: Jaroslav Aster
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-06 13:05 UTC by Phil Sutter
Modified: 2015-11-19 14:42 UTC (History)
2 users (show)

Fixed In Version: iproute-3.10.0-52.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 14:42:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:2117 normal SHIPPED_LIVE iproute bug fix and enhancement update 2015-11-19 11:35:06 UTC

Description Phil Sutter 2015-08-06 13:05:21 UTC
During QA, Coverity tool detected several programming errors. A series of patches addressing them has been sent upstream for review:
http://marc.info/?l=linux-netdev&m=143886389810189&w=2

Comment 1 Phil Sutter 2015-08-06 13:54:40 UTC
In addition to this, another commit from upstream should be backported:

commit d2055ea597e571bbbb6468b23b9c85de5ebf4591
Author: Eric Dumazet <eric.dumazet@gmail.com>
Date:   Fri May 29 04:04:05 2015 -0700

    ss: Fix allocation of cong control alg name

Comment 4 Phil Sutter 2015-08-18 16:34:33 UTC
One of my submitted (and backported) patches was insufficient. I followed up with a real fix:
https://www.mail-archive.com/netdev@vger.kernel.org/msg74434.html

Comment 5 Phil Sutter 2015-08-18 16:39:48 UTC
In addition, another commit needs to be backported to eliminate a compiler warning:

commit b765eda924363caec99b760d8cff815ecf4a8de6
Author: Nicolas Dichtel <nicolas.dichtel@6wind.com>
Date:   Wed Apr 22 10:27:06 2015 +0200

    libnamespaces: fix warning about syscall()
    
    The warning was:
    In file included from namespace.c:14:0:
    ../include/namespace.h: In function ‘setns’:
    ../include/namespace.h:37:2: warning: implicit declaration of function ‘syscall’ [-Wimplicit-function-declaration]
    
    Signed-off-by: Nicolas Dichtel <nicolas.dichtel@6wind.com>

Comment 7 errata-xmlrpc 2015-11-19 14:42:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2117.html


Note You need to log in before you can comment on or make changes to this bug.